curl --request POST \
--url https://cloud.kaneo.app/api/task/{projectId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"priority": "<string>",
"status": "<string>",
"dueDate": "<string>",
"userId": "<string>"
}
'{
"id": "<string>",
"projectId": "<string>",
"position": 123,
"number": 123,
"userId": "<string>",
"title": "<string>",
"description": "<string>",
"status": "<string>",
"priority": "no-priority",
"createdAt": "<unknown>",
"dueDate": "<unknown>"
}Create a new task in a project
curl --request POST \
--url https://cloud.kaneo.app/api/task/{projectId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"description": "<string>",
"priority": "<string>",
"status": "<string>",
"dueDate": "<string>",
"userId": "<string>"
}
'{
"id": "<string>",
"projectId": "<string>",
"position": 123,
"number": 123,
"userId": "<string>",
"title": "<string>",
"description": "<string>",
"status": "<string>",
"priority": "no-priority",
"createdAt": "<unknown>",
"dueDate": "<unknown>"
}API Key authentication
Task created successfully
no-priority, low, medium, high, urgent